package com.muyu.many.datasource;

import com.baomidou.dynamic.datasource.spring.boot.autoconfigure.DynamicDataSourceAutoConfiguration;
import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import com.muyu.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * 多数据源启动类 CloudManyDataSourceApplication
 *
 * @author DeKangLiu
 * Date 2024/6/3 18:51
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication(exclude =
        {DynamicDataSourceAutoConfiguration.class, DataSourceAutoConfiguration.class}
)
public class MuYuManyDataSourceApplication {
    public static void main (String[] args) {
        SpringApplication.run(MuYuManyDataSourceApplication.class, args);
    }
}
