package com.muyu.many.datasource.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.muyu.common.core.domain.Result;
import com.muyu.many.datasource.config.holder.DynamicDataSourceHolder;
import com.muyu.many.datasource.domain.Vehicle;
import com.muyu.many.datasource.mapper.VehicleMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 车辆控制层 VehicleController
 *
 * @author DeKangLiu
 * Date 2024/6/4 14:08
 */
@RestController
@RequestMapping("/vehicle")
public class VehicleController {
    @Autowired
    private VehicleMapper vehicleMapper;

    @GetMapping("/list/all")
    public Result<List<Vehicle>> findAll () {
        return Result.success(vehicleMapper.selectList(new QueryWrapper<>()));
    }
}
